Close transaction banking account

Close a transaction banking account and all of its children.

To close an account, the account must satisfy the folloiwng conditions:

  • The following balances must be zero:

    • book_balance
    • ledger_balance
    • uncleared_checks_balance
    • earmarked_balance
  • The account must also have no active scheduled payments

Payment operations update account balances asynchronously. To avoid closing an account while balance updates are still pending, call Get transaction banking account balance after posting a payment and close the account only when all balances are zero. If the request returns WCAC0019, retry after a short delay.

This endpoint generates an Account status changed event.

NOTE: This endpoint requires an account token - an access token encoded with an external account ID. Tokens can expire quickly, which can result in a 401 Unauthorized message.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
length between 1 and 60

External account ID

Responses
204

No Content

401

Access token is missing or invalid

403

The request has been lost

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json